import { TranslateService } from "@ngx-translate/core";
import { FormField } from "@seniorsistemas/angular-components";
import { Observable } from "rxjs";
import { E070FilService } from "../../core/entities/e-070-fil/e-070-fil.service";
import { EntityLookupConfigService } from "../../shared/services/entity-lookup-config.service";
export declare class CompanyBranchLookupService {
    private translate;
    configService: EntityLookupConfigService;
    private companyBranchService;
    private companyBranchLookupDisplayFields;
    companyBranchLookupSeparator: string;
    private companyBranchSearchSubject;
    private companyBranchLookupSubject;
    private ngUnsubscribe;
    constructor(translate: TranslateService, configService: EntityLookupConfigService, companyBranchService: E070FilService);
    setDisplayFields(fields: string[]): void;
    updateSuggestions(value: any, ownerEntity?: string): void;
    getSuggestionValue(displayFields: string[], ownerEntity: string, value: any, separator: string): any;
    /**
     * Método utilizado para montar o lookup no dynamicForm.
     * LookupValidationDto
     */
    getFormField(isCollective?: boolean, additionalFilter?: string, companyIds?: string[]): FormField;
    onCompanyBranchSearchRequest(event: any, additionalFilter: any, companyIds: string[]): void;
    onCompanyBranchSearchRequestObservable(event: any, additionalFilter: any, companyIds: string[], isDynamicForm?: boolean): Observable<any>;
    private mapToComponent;
    private getLabelForMaping;
    onCompanyBranchLookupRequest(value: string, additionalFilter: any, companyIds: string[]): void;
    onCompanyBranchLookupRequestObservable(value: string, additionalFilter: any, companyIds: string[]): Observable<any>;
    onContractCompanyBranchSearchRequest(event: any, additionalFilter: any, companyIds: string[]): void;
    onContractCompanyBranchSearchRequestObservable(event: any, additionalFilter: any, companyIds: string[], isDynamicForm?: boolean): Observable<any>;
    onContractCompanyBranchLookupRequest(value: string, additionalFilter: any, companyIds: string[]): void;
    onContractCompanyBranchLookupRequestObservable(value: string, additionalFilter: any, companyIds: string[]): Observable<any>;
    getCompanyBranchSearchFields(): any[];
    private getFilters;
}
